<?php require_once('Connections/conn.php'); ?>
<?php
    set_time_limit(0);
    mysql_select_db($database_conn, $conn);
	mysql_query ("SET NAMES 'utf8'");
	
	$query_oferta = "SELECT sede, id_seccion, id_carrera, pensum, mencion, nivel, id_periodo, semestre, turno, id_materia,id_profesor FROM oferta_academica";
	$rst_oferta = mysql_query($query_oferta, $conn) or die(mysql_error());
	$total_rows_oferta = mysql_num_rows($rst_oferta);
	$n=0;
	while ($row_oferta = mysql_fetch_row($rst_oferta)) { 
	      $sede=$row_oferta["sede"];
		  $seccion=$row_oferta["id_seccion"];
		  $programa=$row_oferta["id_carrera"];
		  $pensum=$row_oferta["pensum"];
		  $mencion=$row_oferta["mencion"];
		  $nivel=$row_oferta["nivel"];		
		  $lapso=$row_oferta["id_periodo"];
	      $semestre=$row_oferta["semestre"];
		  $turno=$row_oferta["turno"];
		  $materia=$row_oferta["id_materia"];
		  $id_docente=$row_oferta["id_profesor"];
		  $query_pondera = "SELECT * FROM ponderaciones where sede='$sede' and seccion='$seccion' and programa='$programa' and pensum='$pensum' and mencion='$mencion' and nivel='$nivel' and lapso='$lapso' and semestre='$semestre' and turno='$turno' and materia='$materia' and id_docente='$id_docente'";
	      $rst_pondera = mysql_query($query_pondera, $conn) or die(mysql_error());
	      $total_rows_pondera = mysql_num_rows($rst_pondera);
          if($total_rows_pondera==0){
		      $query_inserta_pondera="insert into `ponderaciones` (`sede`, `lapso`, `programa`, `pensum`, `mencion`, `nivel`, `seccion`,`turno`, `semestre`, `materia`,`id_docente`) values ('$sede', '$lapso', '$programa', '$pensum', '$mencion', '$nivel', '$seccion', '$turno', '$semestre', '$materia', '$id_docente')";
              mysql_query($query_inserta_pondera, $conn) or die(mysql_error());
			  $n++;
		 }
              
	}
	echo "Total de registros agregados: ".$n;
   	
?>
